basecontent {matchprobes} | R Documentation

## Obtain the ATCG content of a gene

### Description

This function accepts a character vector representing the nucleotide sequences and computes the frequencies of each base (A, C, G, T).

### Usage

    basecontent(seq)

### Arguments

`seq` | Character vector.

### Details

The base frequencies are calculated separately for each element of `x`. The elements of `x` can be in upper case, lower case or mixed.

### Value

A matrix with 4 columns and `length(x)` rows. The columns are names `A`, `C`, `T`, `G`, and the values in each column are the counts of the corresponding bases in the elements of `x`.

### Author(s)

R. Gentleman, W. Huber

### See Also

`complementSeq`,`reverseSeq`

### Examples

     v<-c("AAACT", "GGGTT", "ggAtT")
     basecontent(v)

[Package matchprobes version 1.8.1 Index]